The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a vigilance database and tools to fix them.

Vulnerability of NTP.org: buffer overflow via Command Line openhost

Synthesis of the vulnerability 

An attacker can generate a buffer overflow via Command Line openhost() of NTP.org, in order to trigger a denial of service, and possibly to run code.
Impacted products: VNX Operating Environment, VNX Series, Fedora, AIX, Junos Space, McAfee Web Gateway, Meinberg NTP Server, NTP.org, openSUSE Leap, RHEL, Slackware, SUSE Linux Enterprise Desktop, SLES.
Severity of this bulletin: 2/4.
Creation date: 16/08/2018.
Références of this threat: CERTFR-2019-AVI-325, CVE-2018-12327, DSA-2020-030, FEDORA-2018-7051d682fa, FEDORA-2018-e585e25b72, JSA10951, openSUSE-SU-2018:3438-1, openSUSE-SU-2018:3452-1, RHSA-2018:3853-01, RHSA-2018:3854-01, RHSA-2019:2077-01, RHSA-2020:1470-01, SB10264, SSA:2018-229-01, SUSE-SU-2018:3342-1, SUSE-SU-2018:3351-1, SUSE-SU-2018:3352-1, SUSE-SU-2018:3356-1, SUSE-SU-2018:3386-1, VIGILANCE-VUL-27033.

Description of the vulnerability 

An attacker can generate a buffer overflow via Command Line openhost() of NTP.org, in order to trigger a denial of service, and possibly to run code.
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

This vulnerability note impacts software or systems such as VNX Operating Environment, VNX Series, Fedora, AIX, Junos Space, McAfee Web Gateway, Meinberg NTP Server, NTP.org, openSUSE Leap, RHEL, Slackware, SUSE Linux Enterprise Desktop, SLES.

Our Vigil@nce team determined that the severity of this cybersecurity vulnerability is medium.

The trust level is of type confirmed by the editor, with an origin of user shell.

An attacker with a expert ability can exploit this computer threat note.

Solutions for this threat 

NTP.org: version 4.2.8p12.
The version 4.2.8p12 is fixed:
  https://support.ntp.org/bin/view/Main/SoftwareDownloads

AIX: patch for NTPv4.
A patch is indicated in information sources.

Dell EMC VNXe3200: version 3.1.11.10003441.
The version 3.1.11.10003441 is fixed:
  https://www.dell.com/support/

Fedora 27: new ntp packages.
New packages are available:
  Fedora 27: ntp 4.2.8p12-1.fc27

Fedora 28: new ntp packages.
New packages are available:
  Fedora 28: ntp 4.2.8p12-1.fc28

Junos Space: version 19.2R1.
The version 19.2R1 is fixed:
  https://www.juniper.net/support/downloads/

McAfee Web Gateway: patch.
A patch is indicated in information sources.

openSUSE Leap 15.0: new ntp packages.
New packages are available:
  openSUSE Leap 15.0: ntp 4.2.8p12-lp150.3.3.1

openSUSE Leap 42.3: new ntp packages (26/10/2018).
New packages are available:
  openSUSE Leap 42.3: ntp 4.2.8p12-31.6.1

RHEL 6.10: new ntp packages.
New packages are available:
  RHEL 6: ntp 4.2.6p5-15.el6_10

RHEL 6.7: new ntp packages.
New packages are available:
  RHEL 6: ntp 4.2.6p5-5.el6_7.6

RHEL 7.6: new ntp packages.
New packages are available:
  RHEL 7.6: ntp 4.2.6p5-28.el7_6.1

RHEL 7: new ntp packages.
New packages are available:
  RHEL 7: ntp 4.2.6p5-29.el7

Slackware: new ntp packages.
New packages are available:
  Slackware 14.0: ntp 4.2.8p12-*-1_slack14.0
  Slackware 14.1: ntp 4.2.8p12-*-1_slack14.1
  Slackware 14.2: ntp 4.2.8p12-*-1_slack14.2

SUSE LE 15: new ntp packages.
New packages are available:
  SUSE LE 15 RTM: ntp 4.2.8p12-4.3.2

SUSE LE: new ntp packages.
New packages are available:
  SUSE LE 11 SP3: ntp 4.2.8p12-48.21.1
  SUSE LE 11 SP4: ntp 4.2.8p12-64.7.1
  SUSE LE 12 RTM: ntp 4.2.8p12-46.29.2
  SUSE LE 12 SP1: ntp 4.2.8p12-64.8.2
  SUSE LE 12 SP2: ntp 4.2.8p12-64.8.2
  SUSE LE 12 SP3: ntp 4.2.8p12-64.8.2

Wind River Linux: solution (16/10/2018).
The solution is indicated in information sources.
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

Computer vulnerabilities tracking service 

Vigil@nce provides networks vulnerabilities announces. The Vigil@nce vulnerability database contains several thousand vulnerabilities.